List locations
GET
/v1/locationsTo list all the locations, perform a GET request to /v1/locations. You can customize the output with query parameters.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
search_pattern?string
This pattern is used to return resources containing the parameter value in its name.
per_page?integer
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
Range
1 <= value <= 100Default
20page?integer
The number of a page (>= 1) that will be returned. By default, it's 1.
Range
1 <= valueDefault
1sorting?"id"
This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.
Default
"id"Value in
- "id"
direction?string
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
Default
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations"[ { "id": 1850, "name": "location3803", "status": "active", "code": "location3803", "supported_features": [ "disaggregated_public_ports", "disaggregated_private_ports", "no_public_network", "no_private_ip", "no_public_ip_address", "host_rescue_mode", "oob_public_access", "private_ipxe_boot", "public_ipxe_boot" ], "l2_segments_enabled": false, "private_racks_enabled": false, "load_balancers_enabled": false }]{ "message": "Bad request", "code": "BAD_REQUEST", "params": [ "page" ]}